commit:     5113e178dea7ee8a85f06c6d2853abd8324f25a7
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 16 18:34:36 2020 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Mon Nov 16 18:34:36 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5113e178

net-misc/pssh: re-add

Resurrect useful package from lastrites.

Closes: https://bugs.gentoo.org/735426
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>

 net-misc/pssh/Manifest             |  1 +
 net-misc/pssh/metadata.xml         | 14 ++++++++++++++
 net-misc/pssh/pssh-2.3.4-r1.ebuild | 34 ++++++++++++++++++++++++++++++++++
 3 files changed, 49 insertions(+)

diff --git a/net-misc/pssh/Manifest b/net-misc/pssh/Manifest
new file mode 100644
index 00000000000..d05a4f517e3
--- /dev/null
+++ b/net-misc/pssh/Manifest
@@ -0,0 +1 @@
+DIST pssh-2.3.4.tar.gz 51859 BLAKE2B 
788f5239cd35e240cc1961e73b532c60e5221ede9de48878f9636339b18235dc67109948eeb4f64871985bb24e1a7f823b1718da3dbe2ea893af58fd45495c61
 SHA512 
7abf327ca53dda2402465254e447eb837babdd2b4d865abb5b52a1135bd234694b84c1148cb3e4ed0198271ed29333fc1b5d0d01dc653fcf6d3e5b9f170b9d4e

diff --git a/net-misc/pssh/metadata.xml b/net-misc/pssh/metadata.xml
new file mode 100644
index 00000000000..195b1ffe89d
--- /dev/null
+++ b/net-misc/pssh/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo Cluster Project</name>
+       </maintainer>
+       <maintainer type="person">
+               <email>[email protected]</email>
+       </maintainer>
+       <upstream>
+               <remote-id type="github">lilydjwg/pssh</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/net-misc/pssh/pssh-2.3.4-r1.ebuild 
b/net-misc/pssh/pssh-2.3.4-r1.ebuild
new file mode 100644
index 00000000000..08289ea07a0
--- /dev/null
+++ b/net-misc/pssh/pssh-2.3.4-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+DISTUTILS_SINGLE_IMPL=1
+
+inherit distutils-r1
+
+DESCRIPTION="PSSH provides parallel versions of OpenSSH and related tools"
+HOMEPAGE="https://github.com/lilydjwg/pssh";
+SRC_URI="https://github.com/lilydjwg/pssh/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="net-misc/openssh
+               !net-misc/putty"
+DEPEND="${RDEPEND}"
+
+# Requires ssh access to run.
+RESTRICT="test"
+
+pkg_setup() {
+       python-single-r1_pkg_setup
+}
+
+python_prepare_all() {
+       sed -i -e "s|man/man1'|share/&|g" setup.py || die
+       distutils-r1_python_prepare_all
+}

Reply via email to